Get Transactions
curl --request GET \
--url https://app.dimepayments.com/api/zapier/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dimepayments.com/api/zapier/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dimepayments.com/api/zapier/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"amount": "100.00",
"business": "Acme Inc",
"transaction_date": "2020-10-15 12:00:00",
"customer_uuid": "1234567890",
"first_name": "John",
"last_name": "Doe",
"customer_phone": "1234567890",
"customer_email": "email@email.com"
},
{
"amount": "100.00",
"business": "Acme Inc",
"transaction_date": "2020-10-15 12:00:00",
"customer_uuid": "1234567890",
"first_name": "John",
"last_name": "Doe",
"customer_phone": "1234567890",
"customer_email": "email@email.com"
}
]{
"message": "Permission denied"
}{
"message": "Merchant not found"
}Zapier
Get Transactions
Get a list of all transactions for a Merchant
GET
/
api
/
zapier
/
transactions
Get Transactions
Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.
Response
Successful Listing
Example:
"100.00"
Example:
"Acme Inc"
Example:
"2020-10-15 12:00:00"
Example:
"1234567890"
Example:
"John"
Example:
"Doe"
Example:
"1234567890"
Example:
"email@email.com"
Example:
[
{
"amount": "100.00",
"business": "Acme Inc",
"transaction_date": "2020-10-15 12:00:00",
"customer_uuid": "1234567890",
"first_name": "John",
"last_name": "Doe",
"customer_phone": "1234567890",
"customer_email": "email@email.com"
},
{
"amount": "100.00",
"business": "Acme Inc",
"transaction_date": "2020-10-15 12:00:00",
"customer_uuid": "1234567890",
"first_name": "John",
"last_name": "Doe",
"customer_phone": "1234567890",
"customer_email": "email@email.com"
}
]
⌘I

